Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class ModalPanelRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.ajax4jsf.renderkit.RendererBase
              org.ajax4jsf.renderkit.HeaderResourcesRendererBase
                  org.ajax4jsf.renderkit.AjaxComponentRendererBase
                      org.richfaces.renderkit.InputRendererBase
                          org.richfaces.renderkit.ModalPanelRendererBase

All Implemented Interfaces:
  org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.resource.ResourceProduser

Direct Known Subclasses:
  ModalPanelRenderer

    public class ModalPanelRendererBase

extends org.richfaces.renderkit.InputRendererBase

Author:
  Nick Belaevski - nbelaevski@exadel.com created 13.02.2007

Field Summary
`protected java.lang.String[]` | `RESIZERS`

Fields inherited from class org.ajax4jsf.renderkit.RendererBase
`JAVASCRIPT_NAMESPACE`

Constructor Summary
`ModalPanelRendererBase()`

Method Summary
`void` | `checkOptions(javax.faces.context.FacesContext context, UIModalPanel panel)`
`protected void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected java.lang.Class` | `getComponentClass()`
`boolean` | `getRendersChildren()`
`java.lang.String` | `getShowScript(javax.faces.context.FacesContext context, UIModalPanel panel)`
`void` | `initializeResources(javax.faces.context.FacesContext context, UIModalPanel panel)`

Methods inherited from class org.richfaces.renderkit.InputRendererBase
`getConvertedValue, getInputValue`

Methods inherited from class org.ajax4jsf.renderkit.AjaxComponentRendererBase
`getAdditionalScripts, getScripts`

Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase
`encodeResourcesArray, getHeaderScripts, getHeaderStyles, getStyles, preEncodeBegin`

Methods inherited from class org.ajax4jsf.renderkit.RendererBase
`addResource, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getResource, getSkin, getUtils, preDecode, renderChild, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.ajax4jsf.renderkit.HeaderResourceProducer
`getHeaderScripts, getHeaderStyles`

Field Detail

### RESIZERS

    protected java.lang.String[] RESIZERS

Constructor Detail

### ModalPanelRendererBase

    public ModalPanelRendererBase()

Method Detail

### doDecode

    protected void doDecode(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)

  Overrides:
    `doDecode` in class `org.richfaces.renderkit.InputRendererBase`

### getComponentClass

    protected java.lang.Class getComponentClass()

  Overrides:
    `getComponentClass` in class `org.richfaces.renderkit.InputRendererBase`

### checkOptions

    public void checkOptions(javax.faces.context.FacesContext context,
                             UIModalPanel panel)

### initializeResources

    public void initializeResources(javax.faces.context.FacesContext context,
                                    UIModalPanel panel)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### getRendersChildren

    public boolean getRendersChildren()

  Overrides:
    `getRendersChildren` in class `javax.faces.render.Renderer`

### getShowScript

    public java.lang.String getShowScript(javax.faces.context.FacesContext context,
                                          UIModalPanel panel)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.